## com.mysql.jdbc
Class NotUpdatable

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  com.mysql.jdbc.NotUpdatable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

    public class NotUpdatable

extends java.sql.SQLException

Thrown when a result sate is not updatable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `NOT_UPDATEABLE_MESSAGE` The message to use when result set is not updatable.

Constructor Summary
`NotUpdatable()` Creates a new NotUpdatable exception.
`NotUpdatable(java.lang.String reason)` Append the given reason to the not updatable message if the reason is not null.

Method Summary

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_UPDATEABLE_MESSAGE

    public static final java.lang.String NOT_UPDATEABLE_MESSAGE

  The message to use when result set is not updatable. The same message is used in the warnings generated by Updatabale result set.

Constructor Detail

### NotUpdatable

    public NotUpdatable()

  Creates a new NotUpdatable exception.

### NotUpdatable

    public NotUpdatable(java.lang.String reason)

  Append the given reason to the not updatable message if the reason is not null.